ChromatogramNonlinearScaler.Identity (BioJava-1.5-beta API)
Keywords: org.biojava.bio.chromatogram.graphic.ChromatogramNonlinearScaler.Identity class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.chromatogram.graphic
Class ChromatogramNonlinearScaler.Identity

    java.lang.Object
      org.biojava.bio.chromatogram.graphic.ChromatogramNonlinearScaler.Identity

All Implemented Interfaces:
  ChromatogramNonlinearScaler

Enclosing interface:
  ChromatogramNonlinearScaler

    public static class ChromatogramNonlinearScaler.Identity

extends Object
implements ChromatogramNonlinearScaler

The default scaler that displays the chromatogram 1:1.

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.chromatogram.graphic.ChromatogramNonlinearScaler
`ChromatogramNonlinearScaler.Identity`

Method Summary
`static ChromatogramNonlinearScaler.Identity` | `getInstance()` Retrieve the singleton instance of this class.
`float` | `scale(Chromatogram c, int sampleIndex)` Returns the remapped coordinate for the provided trace sample index of the given chromatogram.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ChromatogramNonlinearScaler.Identity getInstance()

  Retrieve the singleton instance of this class.

  Returns:
    the Identity instance

### scale

    public float scale(Chromatogram c,
                       int sampleIndex)

  Description copied from interface: `ChromatogramNonlinearScaler`
  Returns the remapped coordinate for the provided trace sample index of the given chromatogram.

  Specified by:
    `scale` in interface `ChromatogramNonlinearScaler`
  Parameters:
    `c` - the Chromatogram
    `sampleIndex` - the sample index
  Returns:
    the new coordinagte

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD